Console

Plans List

GET
/api/plans

What the agents have scheduled: planned, done, held, blocked and cancelled actions.

Authorization

HTTPBasic
AuthorizationBasic <token>

In: header

Response Body

application/json

curl -X GET "https://example.com/api/plans"
[  {    "id": "string",    "agent": "string",    "tool": "string",    "args": {},    "reason": "string",    "title": "string",    "subject_id": "string",    "due_at": "2019-08-24T14:15:22Z",    "status": "planned",    "outcome": {},    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }]